package cn.newfeifan.mall.module.sale.service.shop;

import javax.validation.*;
import cn.newfeifan.mall.module.sale.controller.app.shop.vo.*;
import cn.newfeifan.mall.module.sale.dal.dataobject.shop.ShopDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 店铺 Service 接口
 *
 * @author 非繁人
 */
public interface ShopService {

    /**
     * 创建店铺
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createShop(@Valid ShopSaveReqVO createReqVO);

    /**
     * 更新店铺
     *
     * @param updateReqVO 更新信息
     */
    void updateShop(@Valid ShopSaveReqVO updateReqVO);

    /**
     * 删除店铺
     *
     * @param id 编号
     */
    void deleteShop(Long id);

    /**
     * 获得店铺
     *
     * @param id 编号
     * @return 店铺
     */
    ShopDO getShop(Long id);

    /**
     * 获得店铺分页
     *
     * @param pageReqVO 分页查询
     * @return 店铺分页
     */
    PageResult<ShopDO> getShopPage(ShopPageReqVO pageReqVO);

}